> ## Documentation Index
> Fetch the complete documentation index at: https://tibbie.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a connection via OAuth



## OpenAPI

````yaml api-reference/openapi.json post /connections/connect/{platform}
openapi: 3.1.0
info:
  title: Tibbie
  version: '1.0'
  description: REST API for managing posts and connections on Tibbie.
servers:
  - url: https://tibbie.co/api/v1
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: User
  - name: Connections
  - name: Posts
  - name: Media
paths:
  /connections/connect/{platform}:
    post:
      tags:
        - Connections
      summary: Initiate a connection via OAuth
      operationId: connectionOAuth.store
      parameters:
        - name: platform
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  state_token:
                    type: string
                  authorization_url:
                    type: string
                  expires_in:
                    type: integer
                    const: 600
                  poll_url:
                    type: string
                required:
                  - state_token
                  - authorization_url
                  - expires_in
                  - poll_url
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    const: unsupported_platform
                  error_description:
                    type: string
                required:
                  - error
                  - error_description
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.